#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi
## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.

if ls /var/log/packages/abuse*; 
	then  
	abuse="TRUE" 
	else
	abuse="FALSE"
fi

if ls /var/log/packages/armagetronad*; 
	then  
	armagetronad="TRUE" 
	else
	armagetronad="FALSE"
fi

if ls /var/log/packages/assaultcube-*; 
	then  
	assaultcube="TRUE" 
	else
	assaultcube="FALSE"
fi

if ls /var/log/packages/barrage*; 
	then  
	barrage="TRUE" 
	else
	barrage="FALSE"
fi

if ls /var/log/packages/blobAndConquer*; 
	then  
	blobAndConquer="TRUE" 
	else
	blobAndConquer="FALSE"
fi

if ls /var/log/packages/blobby2*; 
	then  
	blobby2="TRUE" 
	else
	blobby2="FALSE"
fi

if ls /var/log/packages/caph*; 
	then  
	caph="TRUE" 
	else
	caph="FALSE"
fi

if ls /var/log/packages/cuyo*; 
	then  
	cuyo="TRUE" 
	else
	cuyo="FALSE"
fi

if ls /var/log/packages/extremetuxracer*; 
	then  
	extremetuxracer="TRUE" 
	else
	extremetuxracer="FALSE"
fi

if ls /var/log/packages/foobillard*; 
	then  
	foobillard="TRUE" 
	else
	foobillard="FALSE"
fi

if ls /var/log/packages/freeciv*; 
	then  
	 freeciv="TRUE" 
	else
	 freeciv="FALSE"
fi

if ls /var/log/packages/freedroidrpg*; 
	then  
	 freedroidrpg="TRUE" 
	else
	 freedroidrpg="FALSE"
fi

if ls /var/log/packages/freecol*; 
	then  
	freecol="TRUE" 
	else
	freecol="FALSE"
fi

if ls /var/log/packages/openarena*; 
	then  
	openarena="TRUE" 
	else
	openarena="FALSE"
fi

if ls /var/log/packages/ltris*; 
	then  
	ltris="TRUE" 
	else
	ltris="FALSE"
fi

if ls /var/log/packages/gtkballs*; 
	then  
	gtkballs="TRUE" 
	else
	gtkballs="FALSE"
fi


if ls /var/log/packages/frozen-bubble; 
	then  
	frozenbubble="TRUE" 
	else
	frozenbubble="FALSE"
fi

if ls /var/log/packages/sauerbraten; 
	then  
	sauerbraten="TRUE" 
	else
	sauerbraten="FALSE"
fi

if ls /var/log/packages/smc; 
	then  
	smc="TRUE" 
	else
	smc="FALSE"
fi

if ls /var/log/packages/solarwolf; 
	then  
	solarwolf="TRUE" 
	else
	solarwolf="FALSE"
fi

if ls /var/log/packages/stone-soup; 
	then  
	stonesoup="TRUE" 
	else
	stonesoup="FALSE"
fi

if ls /var/log/packages/stormbaancoureur; 
	then  
	stormbaancoureur="TRUE" 
	else
	stormbaancoureur="FALSE"
fi

if ls /var/log/packages/sudokuki; 
	then  
	sudokuki="TRUE" 
	else
	sudokuki="FALSE"
fi

if ls /var/log/packages/teeworlds; 
	then  
	teeworlds="TRUE" 
	else
	teeworlds="FALSE"
fi

if ls /var/log/packages/torcs; 
	then  
	torcs="TRUE" 
	else
	torcs="FALSE"
fi

if ls /var/log/packages/wesnoth; 
	then  
	wesnoth="TRUE" 
	else
	wesnoth="FALSE"
fi

if ls /var/log/packages/xmoto; 
	then  
	xmoto="TRUE" 
	else
	xmoto="FALSE"
fi
ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Game Application (Some Games require 3d Graphics card and driver setup.)" \
"${abuse}" "abuse (A side-scroller action game that pits you against ruthless alien kil
 lers)  " \
"${armagetronad}" "armagetronad (A Tron Clone in 3D.)" \
"${assaultcube}" "assaultcube (Multiplayer first-person shooter game)" \
"${barrage}" "barrage ( Control gun destroy targets)" \
"${blobAndConquer}" "blobAndConquer ( 3D action shooter)" \
"${blobby2}" "blobby2 ( A beach ball game with blobs of goo)" \
"${caph}" "caph  (A sandbox game based on physics which uses doodles as a primary game
 play element)" \
"${cuyo}" "cuyo  ( Tetris-style puzzle game for up to two players with a twist.)" \
"${extremetuxracer}" "extremetuxracer  ( OpenGL racing game featuring Tux)" \
"${foobillard}" "foobillard  (An OpenGL billiard game for Linux)" \
"${freeciv}" "freeciv (empire building strategy game)" \
"${freecol}" "freecol (A turn-based strategy game based on Colonization)" \
"${freedroidrpg}" "freedroidrpg (A Diablo clone- Tux as the hero and MS, the evil power)" \
"${frozenbubble}" "frozen-bubble (Frozen Bubble arcade game)" \
"${gtkballs}" "gtkballs (clone of Lines - logic game about balls)" \
"${ltris}" "ltris  ( A tetris clone where you have a bowl with blocks falling down.)" \
"${openarena}" "openarena (Deathmatch FPS based on GPL idTech3 technology.)" \
"${sauerbraten}" "sauerbraten (multiplayer/singleplayer first person shooter.)" \
"${smc}" "smc (Secret Maryo Chronicles is an Open Source two-dimensional platform game)" \
"${solarwolf}" "solarwolf (an action/arcade game clone of Solar Fox)" \
"${stonesoup}" "stone-soup (Dungeon Crawl. single-player, role-playing roguelike game  )" \
"${stormbaancoureur}" "stormbaancoureur (Simulated Obstacle Course For Automobiles)" \
"${sudokuki}" "sudokuki ( graphical SUDOKU game)" \
"${torcs}" "torcs (The Open Racing Car Simulator)" \
"${wesnoth}" "wesnoth (Battle for Wesnoth is a fantasy turn-based strategy game)" \
"${teeworlds}" "teeworlds (Battle for Wesnoth is a fantasy turn-based strategy game)" \
"${xmoto}" "xmoto (a challenging 2D motocross platform game)" \
); echo $ans 
if [ "$ans" = "" ]; then exit
fi
rm ./ans.txt
echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi


if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20| zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi



rm ./slapt.txt
exit

